CVE-2020-25645

NameCVE-2020-25645
DescriptionA flaw was found in the Linux kernel in versions before 5.9-rc7. Traffic between two Geneve endpoints may be unencrypted when IPsec is configured to encrypt traffic for the specific UDP port used by the GENEVE tunnel allowing anyone between the two endpoints to read the traffic unencrypted. The main threat from this vulnerability is to data confidentiality.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2417-1, DSA-4774-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1vulnerable
stretch (security)4.9.210-1+deb9u1vulnerable
buster4.19.146-1vulnerable
buster (security)4.19.152-1fixed
bullseye, sid5.9.1-1fixed
linux-4.19 (PTS)stretch (security)4.19.152-1~deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcebuster4.19.152-1DSA-4774-1
linuxsource(unstable)5.8.14-1
linux-4.19sourcestretch4.19.152-1~deb9u1DLA-2417-1

Notes

https://git.kernel.org/linus/34beb21594519ce64a55a498c2fe7d567bc1ca20

Search for package or bug name: Reporting problems